eTB Manager - Feature #250

Include the End User License Agreement document
12/04/2012 03:20 PM - Luis Gustavo do Valle Bastos

Status: Rejected Start date: 12/04/2012
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Version 2.1 Spent time: 0.00 hour
Component: Administration

Description

Upload the latest version of the document to come up in the screen at the very first time a new user login the system. It should have
the content scroll within a test box on the screen, with a check box for accept/reject that needs to be checked before progressing with
the software.

History

#1 - 12/05/2012 12:31 PM - Ricardo Memoria

- Assignee changed from Luis Gustavo do Valle Bastos to Anonymous

I'm assigning this issue to Vani (she sent me an e-mail showing her availability), but there are some questions we have to answer before:

1. Will the user licence agreement be displayed in English when it's not avilable in the user's selected
language?

2. Will it be displayed to all users and all platforms?

For example, visitors in www.etbmanager.org of MSH Demo workspace will have to agree?

3. When the ULA will be displayed to the user?

If the country is under pilot (using www.etbmanager.org), new users will have to accept the ULA? Or just after the pilot is over and system is phisically
implemented in the country's server?

Suggested flow (to IT folks)

. User logs into the system;

. System checks if user has already accepted ULA (a flag in the User database);

. If ULA is accepted, redirect to requested page;

. If ULA is not accepted, redirect user to the ULA page;

. User cannot move to any other page if ULA is not accepted (always redirect to the ULA page if user tries to move to another page);
. If user doesn't accept the ULA, the system logs out the user;

ULA Page
e ¢TB Manager header page at the top;
¢ ULA content (in a scrollable rectangle in the content are of the screen);
e Two buttons at the bottom of the ULA text - "I Accept" and "l decline";
#2 -12/17/2012 07:29 PM - Luis Gustavo do Valle Bastos

Answers below:
1. Will the user licence agreement be displayed in English when it's not available in the user's selected language? YES
2. Will it be displayed to all users and all platforms? YES, even in MSH Demo workspace for visitors

3. When the EULA will be displayed to the user? ALWAYS, since the country needs to agree with the terms of EULA before start the implementation
process (i.e., piloting)

#3 - 01/15/2013 05:19 PM - Anonymous

- Status changed from New to In Progress

Waiting for build.

1. ULA feature is tied to workspace meaning the display option of ULA for countries can be controlled in workspace set up

#4 - 01/30/2013 06:33 PM - Anonymous

- Status changed from In Progress to Resolved

#5 - 01/31/2013 02:58 PM - Ricardo Memoria

- Status changed from Resolved to Feedback

Hi Vani,

It was a good job, but I'm afraid there is some refactoring to be done. | took a look in the code, and the ULA code seems to be a bit spread in the
system, making it a bit difficult for maintenance in the future. My suggestions are:

1. Create a unique component in org.msh.tb.application called UlaService. This component will include the code you implemented in UserSession
and the TextFileReader class;

2. As we discussed before, when loading the ULA, check before if it's available in the language selected by the user. If ULA is not available in his
language, display it in English (Use LocaleSelector component to know the language selected);

#6 - 09/24/2016 08:28 PM - Ricardo Memoria
- Status changed from Feedback to Rejected

Files

EULA for e-TB Manager.doc 40 KB 12/04/2012 Luis Gustavo do Valle Bastos
